#!/usr/bin/gnuplot

P = 25.41569  # day
JD0 = 2454384.65  # JD

z1(x) = x > 0.0 ? x : x+1.0
frac(x) = z1(x-int(x))
phase(JD) = frac((JD-JD0)/P)

set term x11

set xl "JD - 2400000"
set yl "RV [km/s]"

set zeroaxis
set key left

p \
  "RV1.dat" u (phase($1)):2,\
  "<awk '($NF==6)'   RV1.dat" u (phase($1)):2,\
  "<awk '($NF==7)'   RV1.dat" u (phase($1)):2,\
  "<awk '($NF==8)'   RV1.dat" u (phase($1)):2,\

pa -1

set term png small
set out "RV1.png"
rep

q
  "<echo 2456224.724705 0" u ($1-2400000):2 w p ps 3


